"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_1 = require("./cli");
let cli = new cli_1.Cli();
let yargs = require('yargs')
    .usage("Usage: laravel-echo-node-server <command> [options]")
    .command("start", "Starts the server.", (yargs) => cli.start(yargs))
    .command("stop", "Stops the server.", (yargs) => cli.stop(yargs))
    .command(["configure", "init"], "Creates a custom config file.", (yargs) => cli.configure(yargs))
    .command("client:add [id]", "Register a client that can make api requests.", (yargs) => cli.clientAdd(yargs))
    .command("client:remove [id]", "Remove a registered client.", (yargs) => cli.clientRemove(yargs))
    .demandCommand(1, "Please provide a valid command.")
    .help("help")
    .alias("help", "h");
yargs.$0 = '';
var argv = yargs.argv;
